

INCLUDES = -I$(top_srcdir) -I$(includedir)

include Makefile.common

if HAVE_WARNINGS_AS_ERRORS
AM_CFLAGS = -Werror
endif

plugindir = @plugindir@

plugin_LTLIBRARIES = binlog.la
binlog_la_SOURCES = \
        plugin.c \
        moduleinfo.h \
        $(DISSECTOR_SRC) \
        $(DISSECTOR_SRC_CPP) \
        $(DISSECTOR_INCLUDES)
binlog_la_LDFLAGS = -module -avoid-version
binlog_la_LIBADD = @PLUGIN_LIBS@

# Libs must be cleared, or else libtool won't create a shared module.
# If your module needs to be linked against any particular libraries,
# add them here.
LIBS =


plugin.c: $(DISSECTOR_SRC) $(DISSECTOR_SRC_CPP) Makefile.common $(top_srcdir)/tools/make-dissector-reg \
    $(top_srcdir)/tools/make-dissector-reg.py
        @if test -n "$(PYTHON)"; then \
                echo Making plugin.c with python ; \
                $(PYTHON) $(top_srcdir)/tools/make-dissector-reg.py $(srcdir) \
                    plugin $(DISSECTOR_SRC) $(DISSECTOR_SRC_CPP); \
        else \
                echo Making plugin.c with shell script ; \
                $(top_srcdir)/tools/make-dissector-reg $(srcdir) \
                    $(plugin_src) plugin $(DISSECTOR_SRC) $(DISSECTOR_SRC_CPP); \
        fi



CLEANFILES = \
        binlog \
        *~

MAINTAINERCLEANFILES = \
        Makefile.in        \
        plugin.c

EXTRA_DIST = \
        Makefile.common                \
        Makefile.nmake                \
        moduleinfo.nmake        \
        plugin.rc.in                \
        CMakeLists.txt

checkapi:
        $(PERL) $(top_srcdir)/tools/checkAPIs.pl -g abort -g termoutput -build $(DISSECTOR_SRC) $(DISSECTOR_SRC_CPP) $(DISSECTOR_INCLUDES)
